Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

Get Plugins Failed-11.3-u4.1

Western Digital Drives - The Preferred Drives of FreeNAS and TrueNAS CORE

moranshe

Newbie
Joined
Aug 3, 2020
Messages
3
fresh install :
Cmd('git') failed due to: exit code(128) cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/WD3TB/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git stderr: 'Cloning into '/mnt/WD3TB/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git'... fatal: unable to access 'https://github.com/freenas/iocage-ix-plugins.git/': SSL certificate problem: certificate is not yet valid '

Error: Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 1566, in _clone_repo
repo = git.Repo(destination)
File "/usr/local/lib/python3.7/site-packages/git/repo/base.py", line 131, in __init__
raise NoSuchPathError(epath)
git.exc.NoSuchPathError: /mnt/WD3TB/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
await self.future
File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 387, in __run_body
rv = await self.middleware.run_in_thread(self.method, *([self] + args))
File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 409, in available
plugins_versions_data = IOCPlugin(branch=branch, git_repository=plugin_repository).fetch_plugin_versions()
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 266, in fetch_plugin_versions
self.pull_clone_git_repo()
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 137, in pull_clone_git_repo
depth, self.callback
File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_plugin.py", line 1631, in _clone_repo
k: v for k, v in kwargs.items() if v
File "/usr/local/lib/python3.7/site-packages/git/repo/base.py", line 988, in clone_from
return cls._clone(git, url, to_path, GitCmdObjectDB, progress, **kwargs)
File "/usr/local/lib/python3.7/site-packages/git/repo/base.py", line 939, in _clone
finalize_process(proc, stderr=stderr)
File "/usr/local/lib/python3.7/site-packages/git/util.py", line 333, in finalize_process
proc.wait(**kwargs)
File "/usr/local/lib/python3.7/site-packages/git/cmd.py", line 415, in wait
raise GitCommandError(self.args, status, errstr)
git.exc.GitCommandError: Cmd('git') failed due to: exit code(128)
cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/WD3TB/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git
stderr: 'Cloning into '/mnt/WD3TB/iocage/.plugins/github_com_freenas_iocage-ix-plugins_git'...
fatal: unable to access 'https://github.com/freenas/iocage-ix-plugins.git/': SSL certificate problem: certificate is not yet valid
'
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
3,952
Typically, this is because your FreeNAS system can't resolve github.com in DNS. Do you have DNS servers and a default gateway defined in Network->Global Configuration?
 

moranshe

Newbie
Joined
Aug 3, 2020
Messages
3
hi Samuel
Yes the DNS servers are configured if I ping to GitHub I've got replay

Code:
root@freenas[~]# ping github.com
PING github.com (140.82.118.4): 56 data bytes
64 bytes from 140.82.118.4: icmp_seq=0 ttl=54 time=73.754 ms
64 bytes from 140.82.118.4: icmp_seq=1 ttl=54 time=72.419 ms
64 bytes from 140.82.118.4: icmp_seq=2 ttl=54 time=72.551 ms
64 bytes from 140.82.118.4: icmp_seq=3 ttl=54 time=80.575 ms
64 bytes from 140.82.118.4: icmp_seq=4 ttl=54 time=76.668 ms
64 bytes from 140.82.118.4: icmp_seq=5 ttl=54 time=72.966 ms
64 bytes from 140.82.118.4: icmp_seq=6 ttl=54 time=73.666 ms
 

Samuel Tai

Never underestimate your own stupidity
Moderator
Joined
Apr 24, 2020
Messages
3,952
OK, the error code triggered was: SSL certificate problem: certificate is not yet valid. Is your system sync'ed to NTP? Is the local time correct? See this thread on a locally drifting clock.
 

moranshe

Newbie
Joined
Aug 3, 2020
Messages
3
you are correct, the time wasn't sync with the NTP servers
I set the NTP to ntp.org servers and now it's work fine thank you
 
Top